## net.sf.saxon.value
Class PrecisionDecimalValue.PrecisionDecimalComparable

    java.lang.Object
      net.sf.saxon.value.PrecisionDecimalValue.PrecisionDecimalComparable

All Implemented Interfaces:
  Comparable

Enclosing class:
  PrecisionDecimalValue

    protected static class PrecisionDecimalValue.PrecisionDecimalComparable

extends Object
implements Comparable

Field Summary
`protected PrecisionDecimalValue` `pdv`

Constructor Summary
`PrecisionDecimalValue.PrecisionDecimalComparable(PrecisionDecimalValue value)`

Method Summary
`BigDecimal` `asBigDecimal()`
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pdv

    protected PrecisionDecimalValue pdv

Constructor Detail

### PrecisionDecimalValue.PrecisionDecimalComparable

    public PrecisionDecimalValue.PrecisionDecimalComparable(PrecisionDecimalValue value)

Method Detail

### asBigDecimal

    public BigDecimal asBigDecimal()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.